openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSSEM_CHA_VALUES_GET:
    post:
      tags:
      - RSSEM1
      summary: Characteristic Values List
      operationId: /rfc/RSSEM_CHA_VALUES_GET
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_CHANM:
                  type: string
                  maxLength: 30
                  description: Characteristic
                I_DATETO:
                  type: string
                  format: date
                  default: SY-DATUM
                  description: Date and Time, Current (Application Server) Date
                I_LANGU:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                  description: SAP R/3 System, Current Language
                I_MAX_VALUES:
                  type: integer
                  format: int32
                  default: 0
                I_NO_TEXT_PROJECTION:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: 'Data Element for Domain BOOLE: TRUE (="X") and FALSE (=" ")'
                I_READ_ATTR:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                I_READ_TEXT:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: 'Data Element for Domain BOOLE: TRUE (="X") and FALSE (=" ")'
                I_TIMEF4:
                  type: string
                  default: ' '
                  maxLength: 1
                ETH_CHAVL:
                  type: array
                  items:
                    type: object
                    properties:
                      LFDNR:
                        type: integer
                        format: int32
                        description: Sequence Number
                      IOBJNM:
                        type: string
                        maxLength: 30
                        description: InfoObject
                      VALUE:
                        type: string
                        maxLength: 60
                        description: Value of an attribute
                ITH_SELOPT:
                  type: array
                  items:
                    type: object
                    properties:
                      CHANM:
                        type: string
                        maxLength: 30
                        description: Characteristic
                      SIGN:
                        type: string
                        maxLength: 1
                        description: SIGN field in creation of SELECT-OPTIONS tables
                      COMPOP:
                        type: string
                        maxLength: 2
                        description: Comparison Operator (Enhancement RSZ_OPERATOR)
                      LOW:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                      HIGH:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
              required:
              - I_CHANM
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ETH_CHAVL:
                    type: array
                    items:
                      type: object
                      properties:
                        LFDNR:
                          type: integer
                          format: int32
                          description: Sequence Number
                        IOBJNM:
                          type: string
                          maxLength: 30
                          description: InfoObject
                        VALUE:
                          type: string
                          maxLength: 60
                          description: Value of an attribute
                  ITH_SELOPT:
                    type: array
                    items:
                      type: object
                      properties:
                        CHANM:
                          type: string
                          maxLength: 30
                          description: Characteristic
                        SIGN:
                          type: string
                          maxLength: 1
                          description: SIGN field in creation of SELECT-OPTIONS tables
                        COMPOP:
                          type: string
                          maxLength: 2
                          description: Comparison Operator (Enhancement RSZ_OPERATOR)
                        LOW:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                        HIGH:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
